Texture2DCanvas

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.render
Class Texture2DCanvas

    java.lang.Object
      java.awt.Graphics
          java.awt.Graphics2D
              net.ctdp.rfdynhud.render.Texture2DCanvas

    public class Texture2DCanvas

extends java.awt.Graphics2D

This is an adapter for pixel-perfect drawing onto a Texture2D.

Author:
  Marvin Froehlich (CTDP) (aka Qudus)

Constructor Summary
`protected` | `Texture2DCanvas(TextureImage2D ti)`
`protected` | `Texture2DCanvas(TextureImage2D ti, java.awt.Graphics2D graphics)`

Method Summary
`void` | `addRenderingHints(java.util.Map<?,?> hints)`
`void` | `beginUpdateRegion(int x, int y, int width, int height)`
`void` | `beginUpdateRegionComplete()`
`void` | `clearRect(int x, int y, int width, int height)`
`void` | `clearRect(Rect2i rect)`
`void` | `clip(Rect2i rect)`
`void` | `clip(java.awt.Shape shape)`
`void` | `clipRect(int x, int y, int width, int height)`
`void` | `copyArea(int x, int y, int width, int height, int dx, int dy)`
`void` | `copyArea(Rect2i rect, int dx, int dy)`
`java.awt.Graphics` | `create()`
`void` | `dispose()`
`void` | `draw(java.awt.Shape shape)`
`void` | `drawArc(int x, int y, int width, int height, int startAngle, int arcAngle)`
`void` | `drawBytes(byte[] data, int offset, int length, int x, int y)`
`void` | `drawChars(char[] data, int offset, int length, int x, int y)`
`void` | `drawCircle(int x, int y, int radius)`
`void` | `drawGlyphVector(java.awt.font.GlyphVector g, float x, float y)`
`void` | `drawImage(java.awt.image.BufferedImage img, java.awt.image.BufferedImageOp op, int x, int y)`
`boolean` | `drawImage(java.awt.Image img, java.awt.geom.AffineTransform xform, java.awt.image.ImageObserver imgOb)`
`void` | `drawImage(java.awt.Image img, int x, int y)`
`void` | `drawImage(java.awt.Image img, int x, int y, java.awt.Color bgColor)`
`boolean` | `drawImage(java.awt.Image img, int x, int y, java.awt.Color bgColor, java.awt.image.ImageObserver imgOb)`
`boolean` | `drawImage(java.awt.Image img, int x, int y, java.awt.image.ImageObserver imgOb)`
`void` | `drawImage(java.awt.Image img, int x, int y, int width, int height)`
`void` | `drawImage(java.awt.Image img, int x, int y, int width, int height, java.awt.Color bgColor)`
`boolean` | `drawImage(java.awt.Image img, int x, int y, int width, int height, java.awt.Color bgColor, java.awt.image.ImageObserver imgOb)`
`boolean` | `drawImage(java.awt.Image img, int x, int y, int width, int height, java.awt.image.ImageObserver imgOb)`
`void` | `drawImage(java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2)`
`void` | `drawImage(java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.Color bgColor)`
`boolean` | `drawImage(java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.Color bgColor, java.awt.image.ImageObserver imgOb)`
`boolean` | `drawImage(java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.image.ImageObserver imgOb)`
`void` | `drawLine(int x1, int y1, int x2, int y2)`
`void` | `drawLineOffset(int x, int y, int dx, int dy)`
`void` | `drawOval(int x, int y, int width, int height)`
`void` | `drawPolygon(int[] xPoints, int[] yPoints, int nPoints)`
`void` | `drawPolygon(java.awt.Polygon polygon)`
`void` | `drawPolyline(int[] xPoints, int[] yPoints, int nPoints)`
`void` | `drawRect(int x, int y, int width, int height)`
`void` | `drawRect(Rect2i rect)`
`void` | `drawRenderableImage(java.awt.image.renderable.RenderableImage img, java.awt.geom.AffineTransform xform)`
`void` | `drawRenderedImage(java.awt.image.RenderedImage img, java.awt.geom.AffineTransform xform)`
`void` | `drawRoundRect(int x, int y, int width, int height, int arcWidth, int arcHeight)`
`void` | `drawRoundRect(Rect2i rect, int arcWidth, int arcHeight)`
`void` | `drawString(java.text.AttributedCharacterIterator iterator, float x, float y)`
`void` | `drawString(java.text.AttributedCharacterIterator iterator, int x, int y)`
`void` | `drawString(java.lang.String s, float x, float y)`
`void` | `drawString(java.lang.String s, int x, int y)`
`void` | `drawString(java.lang.String s, int x, int y, int baselineOffset, int boundsWidth, int boundsHeight, boolean markDirty, Rect2i dirtyRect)`
`void` | `drawString(java.lang.String s, int x, int y, java.awt.geom.Rectangle2D bounds, boolean markDirty, Rect2i dirtyRect)`
`void` | `drawString(java.lang.String s, int x, int y, java.awt.geom.Rectangle2D bounds, java.awt.Font font, boolean antiAliased, java.awt.Color color, boolean markDirty, Rect2i dirtyRect)`
`void` | `fill(java.awt.Shape shape)`
`void` | `fillArc(int x, int y, int width, int height, int startAngle, int arcAngle)`
`void` | `fillCircle(int x, int y, int radius)`
`void` | `fillOval(int x, int y, int width, int height)`
`void` | `fillPolygon(int[] xPoints, int[] yPoints, int nPoints)`
`void` | `fillRect(int x, int y, int width, int height)`
`void` | `fillRect(Rect2i rect)`
`void` | `fillRoundRect(int x, int y, int width, int height, int arcWidth, int arcHeight)`
`void` | `fillRoundRect(Rect2i rect, int arcWidth, int arcHeight)`
`void` | `finishUpdateRegion()`
`java.awt.Color` | `getBackground()`
`java.awt.Shape` | `getClip()`

`

`<Rect2i_ extends Rect2i> Rect2i_`

`

`getClip(Rect2i_ rect)`

`java.awt.Rectangle` | `getClipBounds()`
`Rect2i` | `getClipBounds(Rect2i rect)`
`Rect2i` | `getClipRect2i()`
`java.awt.Color` | `getColor()`
`java.awt.Composite` | `getComposite()`
`java.awt.GraphicsConfiguration` | `getDeviceConfiguration()`
`java.awt.Font` | `getFont()`
`java.awt.FontMetrics` | `getFontMetrics()`
`java.awt.FontMetrics` | `getFontMetrics(java.awt.Font font)`
`java.awt.font.FontRenderContext` | `getFontRenderContext()`
`TextureImage2D` | `getImage()`
`java.awt.Paint` | `getPaint()`
`java.lang.Object` | `getRenderingHint(java.awt.RenderingHints.Key hintKey)`
`java.awt.RenderingHints` | `getRenderingHints()`
`java.awt.Stroke` | `getStroke()`
`java.awt.geom.AffineTransform` | `getTransform()`
`boolean` | `hit(java.awt.Rectangle rect, java.awt.Shape s, boolean onStroke)`
`boolean` | `hitClip(int x, int y, int width, int height)`
`boolean` | `isAntialiazingEnabled()`
`void` | `popClip()`
`void` | `pushClip(int x, int y, int width, int height)`
`void` | `pushClip(int x, int y, int width, int height, boolean intersectWithCurrent)`
`void` | `pushClip(Rect2i rect)`
`void` | `pushClip(Rect2i rect, boolean intersectWithCurrent)`
`void` | `resetTransform()`
`void` | `rotate(double theta)`
`void` | `rotate(double theta, double x, double y)`
`void` | `scale(double sx, double sy)`
`void` | `setAntialiazingEnabled(boolean enabled)`
`void` | `setBackground(java.awt.Color color)`
`void` | `setClip(int x, int y, int width, int height)`
`void` | `setClip(Rect2i rect)`
`void` | `setClip(java.awt.Shape clip)`
`void` | `setColor(java.awt.Color color)`
`void` | `setComposite(java.awt.Composite comp)`
`void` | `setFont(java.awt.Font font)`
`void` | `setPaint(java.awt.Paint paint)`
`void` | `setPaintMode()`
`void` | `setRenderingHint(java.awt.RenderingHints.Key hintKey, java.lang.Object hintValue)`
`void` | `setRenderingHints(java.util.Map<?,?> hints)`
`void` | `setRenderingHints(java.awt.RenderingHints hints)`
`void` | `setStroke(java.awt.Stroke stroke)`
`void` | `setTransform(java.awt.geom.AffineTransform Tx)`
`void` | `setXORMode(java.awt.Color color)`
`void` | `shear(double shx, double shy)`
`void` | `transform(java.awt.geom.AffineTransform Tx)`
`void` | `translate(double tx, double ty)`
`void` | `translate(int tx, int ty)`

Methods inherited from class java.awt.Graphics2D
`draw3DRect, fill3DRect`

Methods inherited from class java.awt.Graphics
`create, fillPolygon, finalize, getClipBounds, getClipRect, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Texture2DCanvas

    protected Texture2DCanvas(TextureImage2D ti,
                              java.awt.Graphics2D graphics)

### Texture2DCanvas

    protected Texture2DCanvas(TextureImage2D ti)

Method Detail

### getImage

    public final TextureImage2D getImage()

### beginUpdateRegion

    public final void beginUpdateRegion(int x,
                                        int y,
                                        int width,
                                        int height)

### beginUpdateRegionComplete

    public final void beginUpdateRegionComplete()

### finishUpdateRegion

    public final void finishUpdateRegion()

### getDeviceConfiguration

    public java.awt.GraphicsConfiguration getDeviceConfiguration()

  Specified by:
    `getDeviceConfiguration` in class `java.awt.Graphics2D`

### clearRect

    public final void clearRect(int x,
                                int y,
                                int width,
                                int height)

  Specified by:
    `clearRect` in class `java.awt.Graphics`

### clearRect

    public final void clearRect(Rect2i rect)

### clipRect

    public void clipRect(int x,
                         int y,
                         int width,
                         int height)

  Specified by:
    `clipRect` in class `java.awt.Graphics`

### clip

    public final void clip(Rect2i rect)

### clip

    public final void clip(java.awt.Shape shape)

  Specified by:
    `clip` in class `java.awt.Graphics2D`

### copyArea

    public final void copyArea(int x,
                               int y,
                               int width,
                               int height,
                               int dx,
                               int dy)

  Specified by:
    `copyArea` in class `java.awt.Graphics`

### copyArea

    public final void copyArea(Rect2i rect,
                               int dx,
                               int dy)

### draw

    public final void draw(java.awt.Shape shape)

  Specified by:
    `draw` in class `java.awt.Graphics2D`

### drawArc

    public final void drawArc(int x,
                              int y,
                              int width,
                              int height,
                              int startAngle,
                              int arcAngle)

  Specified by:
    `drawArc` in class `java.awt.Graphics`

### drawCircle

    public final void drawCircle(int x,
                                 int y,
                                 int radius)

### drawBytes

    public final void drawBytes(byte[] data,
                                int offset,
                                int length,
                                int x,
                                int y)

  Overrides:
    `drawBytes` in class `java.awt.Graphics`

### drawChars

    public final void drawChars(char[] data,
                                int offset,
                                int length,
                                int x,
                                int y)

  Overrides:
    `drawChars` in class `java.awt.Graphics`

### drawGlyphVector

    public final void drawGlyphVector(java.awt.font.GlyphVector g,
                                      float x,
                                      float y)

  Specified by:
    `drawGlyphVector` in class `java.awt.Graphics2D`

### drawImage

    public final boolean drawImage(java.awt.Image img,
                                   int dx1,
                                   int dy1,
                                   int dx2,
                                   int dy2,
                                   int sx1,
                                   int sy1,
                                   int sx2,
                                   int sy2,
                                   java.awt.image.ImageObserver imgOb)

  Specified by:
    `drawImage` in class `java.awt.Graphics`

### drawImage

    public final void drawImage(java.awt.Image img,
                                int dx1,
                                int dy1,
                                int dx2,
                                int dy2,
                                int sx1,
                                int sy1,
                                int sx2,
                                int sy2)

### drawImage

    public final boolean drawImage(java.awt.Image img,
                                   int dx1,
                                   int dy1,
                                   int dx2,
                                   int dy2,
                                   int sx1,
                                   int sy1,
                                   int sx2,
                                   int sy2,
                                   java.awt.Color bgColor,
                                   java.awt.image.ImageObserver imgOb)

  Specified by:
    `drawImage` in class `java.awt.Graphics`

### drawImage

    public final void drawImage(java.awt.Image img,
                                int dx1,
                                int dy1,
                                int dx2,
                                int dy2,
                                int sx1,
                                int sy1,
                                int sx2,
                                int sy2,
                                java.awt.Color bgColor)

### drawImage

    public final boolean drawImage(java.awt.Image img,
                                   java.awt.geom.AffineTransform xform,
                                   java.awt.image.ImageObserver imgOb)

  Specified by:
    `drawImage` in class `java.awt.Graphics2D`

### drawImage

    public final void drawImage(java.awt.image.BufferedImage img,
                                java.awt.image.BufferedImageOp op,
                                int x,
                                int y)

  Specified by:
    `drawImage` in class `java.awt.Graphics2D`

### drawImage

    public final boolean drawImage(java.awt.Image img,
                                   int x,
                                   int y,
                                   java.awt.image.ImageObserver imgOb)

  Specified by:
    `drawImage` in class `java.awt.Graphics`

### drawImage

    public final void drawImage(java.awt.Image img,
                                int x,
                                int y)

### drawImage

    public final boolean drawImage(java.awt.Image img,
                                   int x,
                                   int y,
                                   java.awt.Color bgColor,
                                   java.awt.image.ImageObserver imgOb)

  Specified by:
    `drawImage` in class `java.awt.Graphics`

### drawImage

    public final void drawImage(java.awt.Image img,
                                int x,
                                int y,
                                java.awt.Color bgColor)

### drawImage

    public final boolean drawImage(java.awt.Image img,
                                   int x,
                                   int y,
                                   int width,
                                   int height,
                                   java.awt.image.ImageObserver imgOb)

  Specified by:
    `drawImage` in class `java.awt.Graphics`

### drawImage

    public final void drawImage(java.awt.Image img,
                                int x,
                                int y,
                                int width,
                                int height)

### drawImage

    public final boolean drawImage(java.awt.Image img,
                                   int x,
                                   int y,
                                   int width,
                                   int height,
                                   java.awt.Color bgColor,
                                   java.awt.image.ImageObserver imgOb)

  Specified by:
    `drawImage` in class `java.awt.Graphics`

### drawImage

    public final void drawImage(java.awt.Image img,
                                int x,
                                int y,
                                int width,
                                int height,
                                java.awt.Color bgColor)

### drawRenderableImage

    public void drawRenderableImage(java.awt.image.renderable.RenderableImage img,
                                    java.awt.geom.AffineTransform xform)

  Specified by:
    `drawRenderableImage` in class `java.awt.Graphics2D`

### drawRenderedImage

    public void drawRenderedImage(java.awt.image.RenderedImage img,
                                  java.awt.geom.AffineTransform xform)

  Specified by:
    `drawRenderedImage` in class `java.awt.Graphics2D`

### drawLine

    public final void drawLine(int x1,
                               int y1,
                               int x2,
                               int y2)

  Specified by:
    `drawLine` in class `java.awt.Graphics`

### drawLineOffset

    public final void drawLineOffset(int x,
                                     int y,
                                     int dx,
                                     int dy)

### drawOval

    public final void drawOval(int x,
                               int y,
                               int width,
                               int height)

  Specified by:
    `drawOval` in class `java.awt.Graphics`

### drawPolygon

    public final void drawPolygon(java.awt.Polygon polygon)

  Overrides:
    `drawPolygon` in class `java.awt.Graphics`

### drawPolygon

    public final void drawPolygon(int[] xPoints,
                                  int[] yPoints,
                                  int nPoints)

  Specified by:
    `drawPolygon` in class `java.awt.Graphics`

### drawPolyline

    public final void drawPolyline(int[] xPoints,
                                   int[] yPoints,
                                   int nPoints)

  Specified by:
    `drawPolyline` in class `java.awt.Graphics`

### drawRect

    public final void drawRect(int x,
                               int y,
                               int width,
                               int height)

  Overrides:
    `drawRect` in class `java.awt.Graphics`

### drawRect

    public final void drawRect(Rect2i rect)

### drawRoundRect

    public final void drawRoundRect(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int arcWidth,
                                    int arcHeight)

  Specified by:
    `drawRoundRect` in class `java.awt.Graphics`

### drawRoundRect

    public final void drawRoundRect(Rect2i rect,
                                    int arcWidth,
                                    int arcHeight)

### drawString

    public final void drawString(java.text.AttributedCharacterIterator iterator,
                                 float x,
                                 float y)

  Specified by:
    `drawString` in class `java.awt.Graphics2D`

### drawString

    public final void drawString(java.text.AttributedCharacterIterator iterator,
                                 int x,
                                 int y)

  Specified by:
    `drawString` in class `java.awt.Graphics2D`

### drawString

    public final void drawString(java.lang.String s,
                                 float x,
                                 float y)

  Specified by:
    `drawString` in class `java.awt.Graphics2D`

### drawString

    public final void drawString(java.lang.String s,
                                 int x,
                                 int y,
                                 int baselineOffset,
                                 int boundsWidth,
                                 int boundsHeight,
                                 boolean markDirty,
                                 Rect2i dirtyRect)

### drawString

    public final void drawString(java.lang.String s,
                                 int x,
                                 int y,
                                 java.awt.geom.Rectangle2D bounds,
                                 boolean markDirty,
                                 Rect2i dirtyRect)

### drawString

    public final void drawString(java.lang.String s,
                                 int x,
                                 int y,
                                 java.awt.geom.Rectangle2D bounds,
                                 java.awt.Font font,
                                 boolean antiAliased,
                                 java.awt.Color color,
                                 boolean markDirty,
                                 Rect2i dirtyRect)

### drawString

    public final void drawString(java.lang.String s,
                                 int x,
                                 int y)

  Specified by:
    `drawString` in class `java.awt.Graphics2D`

### fill

    public final void fill(java.awt.Shape shape)

  Specified by:
    `fill` in class `java.awt.Graphics2D`

### fillArc

    public final void fillArc(int x,
                              int y,
                              int width,
                              int height,
                              int startAngle,
                              int arcAngle)

  Specified by:
    `fillArc` in class `java.awt.Graphics`

### fillCircle

    public final void fillCircle(int x,
                                 int y,
                                 int radius)

### fillOval

    public final void fillOval(int x,
                               int y,
                               int width,
                               int height)

  Specified by:
    `fillOval` in class `java.awt.Graphics`

### fillPolygon

    public final void fillPolygon(int[] xPoints,
                                  int[] yPoints,
                                  int nPoints)

  Specified by:
    `fillPolygon` in class `java.awt.Graphics`

### fillRect

    public final void fillRect(int x,
                               int y,
                               int width,
                               int height)

  Specified by:
    `fillRect` in class `java.awt.Graphics`

### fillRect

    public final void fillRect(Rect2i rect)

### fillRoundRect

    public final void fillRoundRect(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int arcWidth,
                                    int arcHeight)

  Specified by:
    `fillRoundRect` in class `java.awt.Graphics`

### fillRoundRect

    public final void fillRoundRect(Rect2i rect,
                                    int arcWidth,
                                    int arcHeight)

### getBackground

    public java.awt.Color getBackground()

  Specified by:
    `getBackground` in class `java.awt.Graphics2D`

### getClip

    public final java.awt.Shape getClip()

  Specified by:
    `getClip` in class `java.awt.Graphics`

### getClipRect2i

    public final Rect2i getClipRect2i()

### getClipBounds

    public final java.awt.Rectangle getClipBounds()

  Specified by:
    `getClipBounds` in class `java.awt.Graphics`

### getClipBounds

    public final Rect2i getClipBounds(Rect2i rect)

### getColor

    public final java.awt.Color getColor()

  Specified by:
    `getColor` in class `java.awt.Graphics`

### getFont

    public final java.awt.Font getFont()

  Specified by:
    `getFont` in class `java.awt.Graphics`

### getFontMetrics

    public final java.awt.FontMetrics getFontMetrics()

  Overrides:
    `getFontMetrics` in class `java.awt.Graphics`

### getFontMetrics

    public java.awt.FontMetrics getFontMetrics(java.awt.Font font)

  Specified by:
    `getFontMetrics` in class `java.awt.Graphics`

### getFontRenderContext

    public final java.awt.font.FontRenderContext getFontRenderContext()

  Specified by:
    `getFontRenderContext` in class `java.awt.Graphics2D`

### getPaint

    public final java.awt.Paint getPaint()

  Specified by:
    `getPaint` in class `java.awt.Graphics2D`

### getRenderingHint

    public final java.lang.Object getRenderingHint(java.awt.RenderingHints.Key hintKey)

  Specified by:
    `getRenderingHint` in class `java.awt.Graphics2D`

### getRenderingHints

    public final java.awt.RenderingHints getRenderingHints()

  Specified by:
    `getRenderingHints` in class `java.awt.Graphics2D`

### getStroke

    public final java.awt.Stroke getStroke()

  Specified by:
    `getStroke` in class `java.awt.Graphics2D`

### getTransform

    public final java.awt.geom.AffineTransform getTransform()

  Specified by:
    `getTransform` in class `java.awt.Graphics2D`

### hitClip

    public final boolean hitClip(int x,
                                 int y,
                                 int width,
                                 int height)

  Overrides:
    `hitClip` in class `java.awt.Graphics`

### hit

    public boolean hit(java.awt.Rectangle rect,
                       java.awt.Shape s,
                       boolean onStroke)

  Specified by:
    `hit` in class `java.awt.Graphics2D`

### rotate

    public final void rotate(double theta)

  Specified by:
    `rotate` in class `java.awt.Graphics2D`

### rotate

    public final void rotate(double theta,
                             double x,
                             double y)

  Specified by:
    `rotate` in class `java.awt.Graphics2D`

### scale

    public final void scale(double sx,
                            double sy)

  Specified by:
    `scale` in class `java.awt.Graphics2D`

### setBackground

    public final void setBackground(java.awt.Color color)

  Specified by:
    `setBackground` in class `java.awt.Graphics2D`

### setClip

    public final void setClip(java.awt.Shape clip)

  Specified by:
    `setClip` in class `java.awt.Graphics`

### setClip

    public final void setClip(int x,
                              int y,
                              int width,
                              int height)

  Specified by:
    `setClip` in class `java.awt.Graphics`

### setClip

    public final void setClip(Rect2i rect)

### getClip

    public final <Rect2i_ extends Rect2i> Rect2i_ getClip(Rect2i_ rect)

### pushClip

    public final void pushClip(int x,
                               int y,
                               int width,
                               int height,
                               boolean intersectWithCurrent)

### pushClip

    public final void pushClip(int x,
                               int y,
                               int width,
                               int height)

### pushClip

    public final void pushClip(Rect2i rect,
                               boolean intersectWithCurrent)

### pushClip

    public final void pushClip(Rect2i rect)

### popClip

    public final void popClip()

### setColor

    public void setColor(java.awt.Color color)

  Specified by:
    `setColor` in class `java.awt.Graphics`

### setFont

    public final void setFont(java.awt.Font font)

  Specified by:
    `setFont` in class `java.awt.Graphics`

### setPaint

    public final void setPaint(java.awt.Paint paint)

  Specified by:
    `setPaint` in class `java.awt.Graphics2D`

### setPaintMode

    public final void setPaintMode()

  Specified by:
    `setPaintMode` in class `java.awt.Graphics`

### setRenderingHint

    public final void setRenderingHint(java.awt.RenderingHints.Key hintKey,
                                       java.lang.Object hintValue)

  Specified by:
    `setRenderingHint` in class `java.awt.Graphics2D`

### setRenderingHints

    public final void setRenderingHints(java.awt.RenderingHints hints)

### setRenderingHints

    public void setRenderingHints(java.util.Map<?,?> hints)

  Specified by:
    `setRenderingHints` in class `java.awt.Graphics2D`

### addRenderingHints

    public void addRenderingHints(java.util.Map<?,?> hints)

  Specified by:
    `addRenderingHints` in class `java.awt.Graphics2D`

### setAntialiazingEnabled

    public final void setAntialiazingEnabled(boolean enabled)

### isAntialiazingEnabled

    public final boolean isAntialiazingEnabled()

### setStroke

    public final void setStroke(java.awt.Stroke stroke)

  Specified by:
    `setStroke` in class `java.awt.Graphics2D`

### setTransform

    public final void setTransform(java.awt.geom.AffineTransform Tx)

  Specified by:
    `setTransform` in class `java.awt.Graphics2D`

### setXORMode

    public final void setXORMode(java.awt.Color color)

  Specified by:
    `setXORMode` in class `java.awt.Graphics`

### shear

    public final void shear(double shx,
                            double shy)

  Specified by:
    `shear` in class `java.awt.Graphics2D`

### transform

    public final void transform(java.awt.geom.AffineTransform Tx)

  Specified by:
    `transform` in class `java.awt.Graphics2D`

### translate

    public final void translate(double tx,
                                double ty)

  Specified by:
    `translate` in class `java.awt.Graphics2D`

### translate

    public final void translate(int tx,
                                int ty)

  Specified by:
    `translate` in class `java.awt.Graphics2D`

### resetTransform

    public void resetTransform()

### setComposite

    public void setComposite(java.awt.Composite comp)

  Specified by:
    `setComposite` in class `java.awt.Graphics2D`

### getComposite

    public java.awt.Composite getComposite()

  Specified by:
    `getComposite` in class `java.awt.Graphics2D`

### create

    public java.awt.Graphics create()

  Specified by:
    `create` in class `java.awt.Graphics`

### dispose

    public void dispose()

  Specified by:
    `dispose` in class `java.awt.Graphics`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD